import type Z from 'zod';
import { z } from 'zod';
export declare const stringOrRegExp: () => Z.ZodUnion<[Z.ZodString, Z.ZodType<RegExp, Z.ZodTypeDef, RegExp>]>;
export declare const optionalStringArray: () => Z.ZodOptional<Z.ZodArray<Z.ZodString, "many">>;
/**
 * We use this to ensure the type of a value is `T` but the value is not checked.
 */
export declare const phantom: <T>() => Z.ZodType<T>;
/**
 * @description Shortcut for `T | null | undefined | void`
 */
export declare const voidNullableWith: <T extends z.ZodTypeAny>(t: T) => Z.ZodUnion<[Z.ZodUnion<[Z.ZodUnion<[Z.ZodVoid, Z.ZodNull]>, Z.ZodUndefined]>, T]>;
/**
 * @description Shortcut for `T | null | undefined | void`
 */
export declare const voidNullable: () => Z.ZodUnion<[Z.ZodUnion<[Z.ZodVoid, Z.ZodNull]>, Z.ZodUndefined]>;
