"use strict";const{readFileSync}=require("fs");let nativeBinding=null;const loadErrors=[],isMusl=()=>{let r=!1;return process.platform==="linux"&&(r=isMuslFromFilesystem(),r===null&&(r=isMuslFromReport()),r===null&&(r=isMuslFromChildProcess())),r},isFileMusl=r=>r.includes("libc.musl-")||r.includes("ld-musl-"),isMuslFromFilesystem=()=>{try{return readFileSync("/usr/bin/ldd","utf-8").includes("musl")}catch{return null}},isMuslFromReport=()=>{const r=typeof process.report.getReport=="function"?process.report.getReport():null;return r?r.header&&r.header.glibcVersionRuntime?!1:!!(Array.isArray(r.sharedObjects)&&r.sharedObjects.some(isFileMusl)):null},isMuslFromChildProcess=()=>{try{return require("child_process").execSync("ldd --version",{encoding:"utf8"}).includes("musl")}catch{return!1}};function requireNative(){if(process.platform==="android")if(process.arch==="arm64"){try{return require("./lzma.android-arm64.node")}catch(r){loadErrors.push(r)}try{return require("@napi-rs/lzma-android-arm64")}catch(r){loadErrors.push(r)}}else if(process.arch==="arm"){try{return require("./lzma.android-arm-eabi.node")}catch(r){loadErrors.push(r)}try{return require("@napi-rs/lzma-android-arm-eabi")}catch(r){loadErrors.push(r)}}else loadErrors.push(new Error(`Unsupported architecture on Android ${process.arch}`));else if(process.platform==="win32")if(process.arch==="x64"){try{return require("./lzma.win32-x64-msvc.node")}catch(r){loadErrors.push(r)}try{return require("@napi-rs/lzma-win32-x64-msvc")}catch(r){loadErrors.push(r)}}else if(process.arch==="ia32"){try{return require("./lzma.win32-ia32-msvc.node")}catch(r){loadErrors.push(r)}try{return require("@napi-rs/lzma-win32-ia32-msvc")}catch(r){loadErrors.push(r)}}else if(process.arch==="arm64"){try{return require("./lzma.win32-arm64-msvc.node")}catch(r){loadErrors.push(r)}try{return require("@napi-rs/lzma-win32-arm64-msvc")}catch(r){loadErrors.push(r)}}else loadErrors.push(new Error(`Unsupported architecture on Windows: ${process.arch}`));else if(process.platform==="darwin"){try{return require("./lzma.darwin-universal.node")}catch(r){loadErrors.push(r)}try{return require("@napi-rs/lzma-darwin-universal")}catch(r){loadErrors.push(r)}if(process.arch==="x64"){try{return require("./lzma.darwin-x64.node")}catch(r){loadErrors.push(r)}try{return require("@napi-rs/lzma-darwin-x64")}catch(r){loadErrors.push(r)}}else if(process.arch==="arm64"){try{return require("./lzma.darwin-arm64.node")}catch(r){loadErrors.push(r)}try{return require("@napi-rs/lzma-darwin-arm64")}catch(r){loadErrors.push(r)}}else loadErrors.push(new Error(`Unsupported architecture on macOS: ${process.arch}`))}else if(process.platform==="freebsd")if(process.arch==="x64"){try{return require("./lzma.freebsd-x64.node")}catch(r){loadErrors.push(r)}try{return require("@napi-rs/lzma-freebsd-x64")}catch(r){loadErrors.push(r)}}else if(process.arch==="arm64"){try{return require("./lzma.freebsd-arm64.node")}catch(r){loadErrors.push(r)}try{return require("@napi-rs/lzma-freebsd-arm64")}catch(r){loadErrors.push(r)}}else loadErrors.push(new Error(`Unsupported architecture on FreeBSD: ${process.arch}`));else if(process.platform==="linux")if(process.arch==="x64")if(isMusl()){try{return require("./lzma.linux-x64-musl.node")}catch(r){loadErrors.push(r)}try{return require("@napi-rs/lzma-linux-x64-musl")}catch(r){loadErrors.push(r)}}else{try{return require("./lzma.linux-x64-gnu.node")}catch(r){loadErrors.push(r)}try{return require("@napi-rs/lzma-linux-x64-gnu")}catch(r){loadErrors.push(r)}}else if(process.arch==="arm64")if(isMusl()){try{return require("./lzma.linux-arm64-musl.node")}catch(r){loadErrors.push(r)}try{return require("@napi-rs/lzma-linux-arm64-musl")}catch(r){loadErrors.push(r)}}else{try{return require("./lzma.linux-arm64-gnu.node")}catch(r){loadErrors.push(r)}try{return require("@napi-rs/lzma-linux-arm64-gnu")}catch(r){loadErrors.push(r)}}else if(process.arch==="arm")if(isMusl()){try{return require("./lzma.linux-arm-musleabihf.node")}catch(r){loadErrors.push(r)}try{return require("@napi-rs/lzma-linux-arm-musleabihf")}catch(r){loadErrors.push(r)}}else{try{return require("./lzma.linux-arm-gnueabihf.node")}catch(r){loadErrors.push(r)}try{return require("@napi-rs/lzma-linux-arm-gnueabihf")}catch(r){loadErrors.push(r)}}else if(process.arch==="riscv64")if(isMusl()){try{return require("./lzma.linux-riscv64-musl.node")}catch(r){loadErrors.push(r)}try{return require("@napi-rs/lzma-linux-riscv64-musl")}catch(r){loadErrors.push(r)}}else{try{return require("./lzma.linux-riscv64-gnu.node")}catch(r){loadErrors.push(r)}try{return require("@napi-rs/lzma-linux-riscv64-gnu")}catch(r){loadErrors.push(r)}}else if(process.arch==="ppc64"){try{return require("./lzma.linux-ppc64-gnu.node")}catch(r){loadErrors.push(r)}try{return require("@napi-rs/lzma-linux-ppc64-gnu")}catch(r){loadErrors.push(r)}}else if(process.arch==="s390x"){try{return require("./lzma.linux-s390x-gnu.node")}catch(r){loadErrors.push(r)}try{return require("@napi-rs/lzma-linux-s390x-gnu")}catch(r){loadErrors.push(r)}}else loadErrors.push(new Error(`Unsupported architecture on Linux: ${process.arch}`));else loadErrors.push(new Error(`Unsupported OS: ${process.platform}, architecture: ${process.arch}`))}if(nativeBinding=requireNative(),!nativeBinding||process.env.NAPI_RS_FORCE_WASI){try{nativeBinding=require("./lzma.wasi.cjs")}catch(r){process.env.NAPI_RS_FORCE_WASI&&loadErrors.push(r)}if(!nativeBinding)try{nativeBinding=require("@napi-rs/lzma-wasm32-wasi")}catch(r){process.env.NAPI_RS_FORCE_WASI&&loadErrors.push(r)}}if(!nativeBinding)throw loadErrors.length>0?new Error("Failed to load native binding",{cause:loadErrors}):new Error("Failed to load native binding");module.exports.lzma=nativeBinding.lzma,module.exports.lzma2=nativeBinding.lzma2,module.exports.xz=nativeBinding.xz;
